@extends('layouts.app')

@section('content')
<div class="container app-content">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">
                    <div class="card-title">Add Translation Group</div>
                </div>

                <div class="card-body">
                    <form method="POST" action="{{ route('admin.translation.store.group') }}">
                        @csrf
                        <div class="form-group">
                            <label>Group Name</label>
                            <input class="form-control @error('group') is-invalid @enderror" type="text" name="group" value="" required>
                            <small id="passwordHelpBlock" class="form-text text-muted">
                                This will add the group name for all languages.
                            </small>
                        </div>
                        <button class="btn btn-success" type="submit">Add Translation Group</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
