@if ($type == 'movie')
<div class="card">
    <img class="img-fluid rounded" src="{{ img_poster($item->poster_path) }}" alt="Image {{ $item->title }}" title="Image {{ $item->title }} ({{ to_year($item->release_date ?? '') }})">
    <div class="card-body">
        <h2 class="card-title h6">
            <a href="{{ mopie_route('movie.single',['id' => $item->id, 'slug' => str_slug($item->original_title)]) }}" class="stretched-link" rel="bookmark" title="{{ $item->title }} ({{ to_year($item->release_date ?? '') }})">{{ $item->title }} ({{ to_year($item->release_date ?? '') }})</a>
        </h2>
    </div>
</div>
@elseif ($type == 'tv')
<div class="card">
    <img class="img-fluid rounded" src="{{ img_poster($item->poster_path) }}" alt="Image {{ $item->name }}" title="Image {{ $item->name }} ({{ to_year($item->first_air_date) }})">
    <div class="card-body">
        <h2 class="card-title h6">
            <a href="{{ mopie_route('tv.single',['id' => $item->id, 'slug' => str_slug($item->original_name)]) }}" class="stretched-link" rel="bookmark" title="{{ $item->name }} ({{ to_year($item->first_air_date) }})">{{ $item->name }} ({{ to_year($item->first_air_date) }})</a>
        </h2>
    </div>
</div>
@else
<div class="card">
    <img class="img-fluid rounded" src="{{ img_poster($item->profile_path) }}" alt="Image {{ $item->name }}">
    <div class="card-body">
        <h2 class="card-title h6">
            <a href="{{ mopie_route('people.single', ['id' => $item->id]) }}" class="stretched-link" rel="bookmark">{{ $item->name }}</a>
        </h2>
    </div>
</div>
@endif